Recognition failed for "/rails_info/properties"


#1

Hello. I can’t figure out why I’m getting the following problem, or
how to fix it.

I have Rails 1.1.0 installed on both OS X and Solaris, and in both new
and old projects, and using either WEBrick or lighttpd, I get:

Recognition failed for “/rails_info/properties”

when lining to it off the welcome to rails page. I get the following
errors through the console:

ActionController::RoutingError (Recognition failed for
“/rails_info/properties”):
/opt/csw/lib/ruby/gems/1.8/gems/actionpack-1.12.0/lib/action_controller/routing.rb:488:in
recognition_failed' /opt/csw/lib/ruby/gems/1.8/gems/actionpack-1.12.0/lib/action_controller/routing.rb:478:inrecognize!’
/opt/csw/lib/ruby/gems/1.8/gems/rails-1.1.0/lib/dispatcher.rb:38:in
dispatch' /opt/csw/lib/ruby/gems/1.8/gems/rails-1.1.0/lib/fcgi_handler.rb:150:inprocess_request’
/opt/csw/lib/ruby/gems/1.8/gems/rails-1.1.0/lib/fcgi_handler.rb:54:in
process!' /opt/csw/lib/ruby/site_ruby/1.8/fcgi.rb:600:ineach_cgi’
/opt/csw/lib/ruby/site_ruby/1.8/fcgi.rb:597:in each_cgi' /opt/csw/lib/ruby/gems/1.8/gems/rails-1.1.0/lib/fcgi_handler.rb:53:inprocess!’
/opt/csw/lib/ruby/gems/1.8/gems/rails-1.1.0/lib/fcgi_handler.rb:23:in
`process!’
/cow/moo/test/new/public/dispatch.fcgi:24

Rendering
/opt/csw/lib/ruby/gems/1.8/gems/actionpack-1.12.0/lib/action_controller/templates/rescues/layout.rhtml
(404 Page Not Found)

Forunately, script/about works:

bash-3.00# ./script/about
About your application’s environment
Ruby version 1.8.4 (i386-solaris2.8)
RubyGems version 0.8.11
Rails version 1.1.0
Active Record version 1.14.0
Action Pack version 1.12.0
Action Web Service version 1.1.0
Action Mailer version 1.2.0
Active Support version 1.3.0
Application root /cow/moo/test/new
Environment development
Database adapter mysql


#2

Delayed Green wrote:

I have Rails 1.1.0 installed on both OS X and Solaris, and in both new
and old projects, and using either WEBrick or lighttpd, I get:

Recognition failed for “/rails_info/properties”

Forunately, script/about works:

Same problem on Linux with ruby-1.8.2 using latest edge rails, r4132.

For me, even script/about doesn’t work in r4132 unless I unfreeze back
to rails 1.0.


#3

Well, I figured it out. The index just needs to link to
/rails/info/properties instead of /rails_info/properties. So, there was
nothing actually wrong with my installation :wink: